# Updates company contact information.

PUT https://api.awork.com/api/v1/companies/{companyId}/contactinfo/{contactInfoId}

Updates the specified company contact information and refreshes the company's address data when needed. The contact information must belong to the specified company.

<Check title="Required Permissions" icon="key">The user must be an admin or have `company-master-data:write` permissions.</Check>

## Request example

```sh
curl -X PUT --globoff 'https://api.awork.com/api/v1/companies/{companyId}/contactinfo/{contactInfoId}' \
  -H 'Authorization: Bearer <token>' \
  -H 'Content-Type: application/json' \
  --data '{
  "label": "string",
  "value": "string",
  "type": "address",
  "subType": "central",
  "addressLine1": "Torstrasse 140",
  "addressLine2": "Hof A",
  "zipCode": "10119",
  "city": "Berlin",
  "state": "string",
  "country": "DE",
  "isAddress": true
}'
```

- path parameter `companyId`: string (required). The id of the company.

- path parameter `contactInfoId`: string (required). The id of the contact info.

## Request body (application/json)

- `label`: string or null

- `value`: string or null

- `type`: string (required)

- `subType`: string or null

- `addressLine1`: string or null

- `addressLine2`: string or null

- `zipCode`: string or null

- `city`: string or null

- `state`: string or null

- `country`: string or null

- `isAddress`: boolean

## Response 200

OK

application/json

```json
{
  "label": "string",
  "value": "string",
  "type": "address",
  "subType": "central",
  "addressLine1": "Torstrasse 140",
  "addressLine2": "Hof A",
  "zipCode": "10119",
  "city": "Berlin",
  "state": "string",
  "country": "DE",
  "isAddress": true,
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "createdOn": "2026-01-15T09:30:00Z",
  "createdBy": "123e4567-e89b-12d3-a456-426614174000",
  "updatedOn": "2026-01-15T09:30:00Z",
  "updatedBy": "123e4567-e89b-12d3-a456-426614174000"
}
```

## Response 400

Bad Request

application/json

```json
{
  "code": "not-found",
  "description": "There is no matching path for this URL.",
  "link": "https://developers.awork.com",
  "details": [
    "No project with the id '123' exists."
  ],
  "validationErrors": [
    {
      "property": "FirstName",
      "message": "FirstName is required."
    }
  ],
  "traceId": "a65ce5745df02af216715ff06661fb3a"
}
```

## Response 404

Not Found

application/json

```json
{
  "code": "not-found",
  "description": "There is no matching path for this URL.",
  "link": "https://developers.awork.com",
  "details": [
    "No project with the id '123' exists."
  ],
  "validationErrors": [
    {
      "property": "FirstName",
      "message": "FirstName is required."
    }
  ],
  "traceId": "a65ce5745df02af216715ff06661fb3a"
}
```
